Get variables for multiple processes with pagination

Prev Next
Get
/processes/variables
Security
OAuth

Laravel passport oauth2 security.

FlowAuthorization Code
Authorization URLhttps://develop-qa.processmaker.net/oauth/authorize
Token URLhttps://develop-qa.processmaker.net/oauth/token
Refresh URLhttps://develop-qa.processmaker.net/token/refresh
Query parameters
processIds
string | null

Comma-separated list of process IDs

Example1,2,3
page
integer

Page number

Default1
per_page
integer

Items per page

Default20
Responses
200

Successful response

Expand All
object
data
Array of object (Variable)
object
id
integer
Example1
process_id
integer
Example1
uuid
string (uuid)
Example550e8400-e29b-41d4-a716-446655440000
field
string
Valid values[ "string", "number", "boolean", "array" ]
Examplestring
label
string
ExampleVariable 1 for Process 1
name
string
Examplevar_1_1
asset
object
id
string
Exampleasset_1_1
type
string
Valid values[ "sensor", "actuator", "controller", "device" ]
Examplesensor
name
string
ExampleAsset 1 for Process 1
uuid
string (uuid)
Example550e8400-e29b-41d4-a716-446655440000
created_at
string (date-time)
updated_at
string (date-time)
meta
object (PaginationMeta)
current_page
integer
Example1
from
integer
Example1
last_page
integer
Example5
path
string
Examplehttp://processmaker.com/processes/variables
per_page
integer
Example20
to
integer
Example20
total
integer
Example100
links
object
first
string
Examplehttp://processmaker.com/processes/variables?page=1
last
string
Examplehttp://processmaker.com/processes/variables?page=5
prev
string | null
next
string
Examplehttp://processmaker.com/processes/variables?page=2